org.apache.solr.search.stats

## Class CollectionStats

- java.lang.Object
- - org.apache.solr.search.stats.CollectionStats

-     public class CollectionStats
      extends Object

  Modifiable version of `CollectionStatistics` useful for aggregation of per-shard stats.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `docCount`
    `String` | `field`
    `long` | `maxDoc`
    `long` | `sumDocFreq`
    `long` | `sumTotalTermFreq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionStats(CollectionStatistics stats)`
    `CollectionStats(String field)`
    `CollectionStats(String field, long maxDoc, long docCount, long sumTotalTermFreq, long sumDocFreq)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CollectionStats stats)`
    `CollectionStatistics` | `toCollectionStatistics()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field

          public final String field

    - #### maxDoc

          public long maxDoc

    - #### docCount

          public long docCount

    - #### sumTotalTermFreq

          public long sumTotalTermFreq

    - #### sumDocFreq

          public long sumDocFreq

  - ### Constructor Detail

    - #### CollectionStats

          public CollectionStats(String field)

    - #### CollectionStats

          public CollectionStats(String field,
                                 long maxDoc,
                                 long docCount,
                                 long sumTotalTermFreq,
                                 long sumDocFreq)

    - #### CollectionStats

          public CollectionStats(CollectionStatistics stats)

  - ### Method Detail

    - #### add

          public void add(CollectionStats stats)

    - #### toCollectionStatistics

          public CollectionStatistics toCollectionStatistics()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.